Latest Flash Player Vulnerabilities Now Being Actively Exploited

On Tuesday, June 14th, Adobe issued updates to Adobe Flash Player to fix multiple security vulnerabilities. These updated versions are strongly recommended for all previous versions of Adobe Flash Player on both Windows and Mac OS.

The issues fixed by this update are now being exploited in the wild on a large scale. ISC strongly suggests that all users of Adobe Flash Player update to version 10.3.181.26 as soon as possible.

References

Adobe's security bulletin on these vulnerabilities is located here:

http://www.adobe.com/support/security/bulletins/apsb11-18.html

The direct download link for Adobe Flash Player 10.3.181.26 is located here:

http://get.adobe.com/flashplayer/otherversions/

The Supported Products and Supported Products for Providers pages for Adobe Flash Player have related information at:

http://www.upenn.edu/computing/product/specs/flashplayer.html

http://www.upenn.edu/computing/provider/product/specs/flashplayerprovide...